PCI_READ_ROM(9)

NAME
pci_read_rom - read a PCI ROM

SYNOPSIS

ssize_t pci_read_rom(struct file * filp, struct kobject * kobj, struct bin_attribute * bin_attr, char * buf, loff_t off, size_t count);

ARGUMENTS

filp
    sysfs file

kobj
    kernel object handle

bin_attr
    struct bin_attribute for this file

buf
    where to put the data we read from the ROM

off
    file offset

count
    number of bytes to read

DESCRIPTION

Put count bytes starting at off into buf from the ROM in the PCI device corresponding to kobj.

COPYRIGHT